Subject: Re: bug#26353: TeX Live

From: Marius Bakke <[email-masked]>
Date: Mon, 01 May 2017 17:11:26 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi Danny!
>
> Danny Milosavljevic <[email-masked]> skribis:
>
>> 70 GiB non-home root partition seems also be too small for it all. I have to do guix gc quite often - I'll have to repartition somewhen.
>>
>> texlive finally downloaded correctly *shrugs*.  Texlive is really getting on my nerves - isn't it possible to modularize it more?  Also, one shouldn't require 2 GiB for a word processor and DTP. *mumble mumble*
>
> TeX Live is getting on everybody’s nerves.  :-)
>
> There are ways to turn it into a zillion packages from CTAN, which is
> what Nixpkgs did.  Ricardo (I think?) had some thoughts as to how to
> achieve this and I would really like to see it happen.

That would be great. I miss this snippet from my ~/.nixpkgs/config.nix:

    myTex = pkgs.texlive.combine {
      inherit (texlive) scheme-small marginnote sectsty cm-super enumitem
      xifthen ifmtarg unicode-math filehook collection-fontsrecommended
      collection-fontsextra libertine gentium-tug ucharcat;
    };